import { z, ZodType } from 'zod';

export class FaqValidation {
  static readonly CREATE: ZodType = z.object({
    question: z.string({ message: 'Pertanyaan harus diisi' }),
    answer: z.string({ message: 'Jawaban harus diisi' }),
  });

  static readonly UPDATE: ZodType = z.object({
    question: z.string({ message: 'Pertanyaan harus diisi' }),
    answer: z.string({ message: 'Jawaban harus diisi' }),
  });
}
